<?php
namespace Claromentis\Core\DAL\MSSQL\NativeClient;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"] = (@$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"] ?: array()) + array("_78aadcc2e8dfec" . "ef37e1fe6d5ffbc" . "dbb" => base64_decode("c3Fsc3J2X2Z" . "ldGNoX2Fycm" . "F5"), "_d64c6254864cf96656eabcea4c48" . "fe51" => base64_decode("c3Fsc3" . "J2X2hh" . "c19yb3" . "dz"), "_9a1d01ea56101db4" . "75f6e198f06a4f9d" => base64_decode("c3Fsc3J2X2ZyZWVfc3Rt" . "dA=="), "_020048b1b65987544bdb5f" . "9afa692a0f" => base64_decode("TnVtUm93cyBpcyBub3Qgc3Vw" . "cG9ydGVk"), "_a591754a8ddcdbda9c8" . "0f1db4d911e14" => base64_decode("aXNfbnVs" . "bA=="));
use Claromentis\Core\DAL;
use UnsupportedOperationException;
class ResultUnbuffered implements DAL\ResultInterface
{
    protected $stmt;
    protected $has_data = null;
    
    
    public function __construct($_a606a2dcd236a549db0574a9c1675927)
    {
        $this->stmt = $_a606a2dcd236a549db0574a9c1675927;
        if ($_a606a2dcd236a549db0574a9c1675927 === true) {
            return;
        }
    }
    public function fetchRow()
    {
        $data = $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_78aadcc2e8dfecef37e1fe6d5ffbcdb" . "b"]($this->stmt, SQLSRV_FETCH_NUMERIC);
        
        
        return $data;
    }
    public function fetchArray()
    {
        $data = $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_78aadcc2e8dfecef37e1" . "fe6d5ffbcdbb"]($this->stmt, SQLSRV_FETCH_ASSOC);
        
        
        return $data;
    }
    public function numRows()
    {
        throw new UnsupportedOperationException($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_020048b1b659" . "87544bdb5f9af" . "a692a0f"]);
        
        
        
    }
    public function hasData()
    {
        if ($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_a591754a8" . "ddcdbda9c8" . "0f1db4d911" . "e14"]($this->has_data)) {
            $this->has_data = $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_d64c6254864cf96656eabcea4c4" . "8fe51"]($this->stmt);
        }
        return $this->has_data;
    }
    public function free()
    {
        if ($this->stmt) {
            $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_9a1d01ea5" . "6101db475f" . "6e198f06a4" . "f9d"]($this->stmt);
            $this->stmt = null;
        }
        return true;
    }
    
    
    
    
    
    
    
    public function fetchAllValues()
    {
        return DAL\DbUtil::fetchAllValues($this);
    }
    public function __destruct()
    {
        $this->free();
    }
}